-- 古镇秘藏 Buff Item
Lua_TownTreasureBuffItem = class("Lua_TownTreasureBuffItem", Lua_DisplayObject);

function Lua_TownTreasureBuffItem:ctor(p)
    self:superCall("ctor", p, "TownTreasureBuffItem_skin");
end

function Lua_TownTreasureBuffItem:buildShowItem()
    self:superCall("buildShowItem");

    self.icon:addClickFuntion(self, self.onIconClick);
end

function Lua_TownTreasureBuffItem:dispose()
    self.data = nil;
	self:superCall("dispose");
end

function Lua_TownTreasureBuffItem:setData(data) 
    self.data = data;

    self.icon:setAltas(data.buff_icon[1], data.buff_icon[2]);
    self.numTxt.text = data.count;
end

function Lua_TownTreasureBuffItem:onIconClick()
    Lua_MsgUtil.callFunc("TOWN_TREASURE_BUFF_CLICK", self.data);
end