Lua_TownTreasureTipItem = class("Lua_TownTreasureTipItem", Lua_DisplayObject);

function Lua_TownTreasureTipItem:ctor(p)
    self:superCall("ctor", p, "TownTreasureTipItem_skin");
end

function Lua_TownTreasureTipItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_TownTreasureTipItem:dispose()
	TweenUtil.getInstance():stop(self.content);
	self:superCall("dispose");
end

function Lua_TownTreasureTipItem:setData(data)
	if data.curType == 1 then
		self.tipTxt_1.text = data.desc;
		self.tipTxt_1:resetSize();
		self.bg_1:SetDimensions(325, self.tipTxt_1.preferredHeight + 30);
	elseif data.curType == 2 then
		local itemVo = data.itemVo;
		self.iocn_2:setAltas(itemVo.atlas, itemVo.sprite);
		self.tipTxt_2.text = LanUtil.formateStr(710019, itemVo.name, itemVo.count);
	end
	self:onShowUI(data.curType);
end

function Lua_TownTreasureTipItem:onShowUI(t)
	self.bg_1:setEnable(t == 1);
	self.tipTxt_1:setEnable(t == 1);
	self.bg_2:setEnable(t == 2);
	self.tipTxt_2:setEnable(t == 2);
	self.iocn_2:setEnable(t == 2);
end

function Lua_TownTreasureTipItem:setAlphaVal(value)
	self.bg_1:setAlpha(value);
	self.tipTxt_1:setAlpha(value);
	self.bg_2:setAlpha(value);
	self.tipTxt_2:setAlpha(value);
	self.iocn_2:setAlpha(value);
end